import { TokenStore } from "./tokens";
import { CacheStorage } from "./cache";
import { RequestorBase } from "./requestorBase";
import { CrownstoneRequests } from "./requests/crownstoneRequests";
import { SphereRequests } from "./requests/sphereRequests";
import { UserRequests } from "./requests/userRequests";
import { HubRequests } from "./requests/hubRequests";
import { LocationRequests } from "./requests/locationRequests";
import { WebhookRequests } from "./requests/webhookRequests";
import { SphereV2Requests } from "./requests/nextCloud/sphereV2Requests";
import { CrownstoneV2Requests } from "./requests/nextCloud/crownstoneV2Requests";
export declare class CloudRequestor extends RequestorBase {
    constructor(tokenStore: TokenStore, cache: CacheStorage, customEndpoint?: string);
    isUser(): boolean;
    isHub(): boolean;
    interface(): CloudRequestorInterface;
}
export declare class CloudRequestorV2 extends RequestorBase {
    constructor(tokenStore: TokenStore, cache: CacheStorage, customEndpoint?: string);
    isUser(): boolean;
    isHub(): boolean;
    interface(): CloudRequestorInterface;
}
export interface CloudRequestorInterface extends CloudRequestor, SphereRequests, CrownstoneRequests, LocationRequests, UserRequests, HubRequests, SphereV2Requests, CrownstoneV2Requests {
}
export declare class WebhookRequestor extends RequestorBase {
    constructor(tokenStore: TokenStore, cache: CacheStorage, customEndpoint?: string);
    interface(): WebhookRequestorInterface;
}
export interface WebhookRequestorInterface extends WebhookRequestor, WebhookRequests {
}
