"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const requestorBase_1 = require("../requestorBase");
const request_1 = require("../../util/request");
class HubRequests extends requestorBase_1.RequestorBase {
    async hubLogin() {
        const { body } = await request_1.req("POST", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}/login`, {
            searchParams: {
                token: this.tokenStore.cloudHub.hubToken
            },
            responseType: 'json'
        });
        return body;
    }
    async hubSetLocalIpAddress(ipaddress, httpPort, httpsPort) {
        await request_1.req("PUT", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}/localIP`, this.addSecurity({ searchParams: { localIpAddress: ipaddress, httpPort, httpsPort } }));
    }
    async updateHub(data) {
        await request_1.req("PUT", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}`, this.addSecurity({ json: data }));
    }
    async getHub() {
        const { body } = await request_1.req("GET", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}`, this.addSecurity({ responseType: 'json' }));
        return body;
    }
    async getUartKey() {
        const { body } = await request_1.req("GET", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}/uartKey`, this.addSecurity({ responseType: 'json' }));
        return body;
    }
    async getHubs() {
        const { body } = await request_1.req("GET", `${this.endpoint}Hubs/`, this.addSecurity({ responseType: 'json' }));
        return body;
    }
    async deleteHub() {
        const { body } = await request_1.req("DELETE", `${this.endpoint}Hubs/${this.tokenStore.cloudHub.hubId}`, this.addSecurity({ responseType: 'json' }));
        return body;
    }
}
exports.HubRequests = HubRequests;
//# sourceMappingURL=hubRequests.js.map