"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const requestorBase_1 = require("../requestorBase");
const request_1 = require("../../util/request");
let filter = { searchParams: { filter: JSON.stringify({}) } };
class LocationRequests extends requestorBase_1.RequestorBase {
    async getLocations() {
        const { body } = await request_1.req("GET", `${this.endpoint}Locations/all`, this.addSecurity({ ...filter, responseType: 'json' }));
        // this.cache.downloadedAll['locations'] = true;
        return body;
    }
    async getLocationsInSphere(sphereId) {
        const { body } = await request_1.req("GET", `${this.endpoint}Spheres/${sphereId}/ownedLocations`, this.addSecurity({ ...filter, responseType: 'json' }));
        // gotAllInSphere(this.cache,sphereId,'locations');
        return body;
    }
    async getLocation(locationId) {
        const { body } = await request_1.req("GET", `${this.endpoint}Locations/${locationId}`, this.addSecurity({ ...filter, responseType: 'json' }));
        return body;
    }
}
exports.LocationRequests = LocationRequests;
//# sourceMappingURL=locationRequests.js.map