"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const requestorBase_1 = require("../../requestorBase");
const request_1 = require("../../../util/request");
class SphereV2Requests extends requestorBase_1.RequestorBase {
    async getSphereEnergyUsage(sphereId, from, until, range) {
        const { body } = await request_1.req("GET", `${this.endpoint}spheres/${sphereId}/energyUsage?start=${from}&end=${until}&range=${range}`, this.addSecurity({ responseType: 'json' }));
        return body;
    }
    async postSphereEnergyUsage(sphereId, energyUsage) {
        const { body } = await request_1.req("POST", `${this.endpoint}spheres/${sphereId}/energyUsage`, this.addSecurity({ json: energyUsage, responseType: 'json' }));
        return body;
    }
    async getEnergyUploadPermission(sphereId) {
        const { body } = await request_1.req("GET", `${this.endpoint}spheres/${sphereId}/energyUsageCollectionPermission`, this.addSecurity({ responseType: 'text' }));
        return body === 'true' ? true : false;
    }
    async setEnergyUploadPermission(sphereId, permission) {
        const { body } = await request_1.req("POST", `${this.endpoint}spheres/${sphereId}/energyUsageCollectionPermission?permission=${permission}`, this.addSecurity({ responseType: 'text' }));
        return body === 'true' ? true : false;
    }
}
exports.SphereV2Requests = SphereV2Requests;
//# sourceMappingURL=sphereV2Requests.js.map