import { TokenStore } from "./tokens";
import { CloudRequestorInterface, WebhookRequestorInterface } from "./requestors";
import { CacheStorage } from "./cache";
export declare class Toolchain {
    tokenStore: TokenStore;
    cache: CacheStorage;
    constructor();
    loadUserData(email: string, passwordSha1: string): void;
    loadAccessToken(accessToken: any, userId?: string): void;
    loadHubData(hubId: string, hubToken: string): void;
    loadHubSphereId(sphereId: string): void;
    getCloudRequestor(customEndpoint?: string): CloudRequestorInterface;
    getCloudV2Requestor(customEndpoint?: string): CloudRequestorInterface;
    getWebhookRequestor(customEndpoint?: string): WebhookRequestorInterface;
}
