'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Util_1 = require("../util/Util");
const listeners_1 = require("./sections/listeners");
const webhookApiBase_1 = require("./sections/webhookApiBase");
function combineSections() {
    let result = {};
    Util_1.Util.mixin(result, webhookApiBase_1.webhookApiBase, result);
    // mixin all modules.
    Util_1.Util.mixin(result, listeners_1.listeners, result);
    return result;
}
/**
 * This adds all sections into the REST
 */
exports.WebhookAPI = combineSections();
exports.WebhookAPI.setApiKey = function (api_key) { webhookApiBase_1.WebhookStore.api_key = api_key; return exports.WebhookAPI; };
exports.WebhookAPI.setUserId = function (userId) { webhookApiBase_1.WebhookStore.userId = userId; return exports.WebhookAPI; };
exports.WebhookAPI.forListener = function (listenerId) { webhookApiBase_1.WebhookStore.listenerId = listenerId; return exports.WebhookAPI; };
//# sourceMappingURL=webhookAPI.js.map